<template>
  <div class='app-for-you container'>
    <h2 class='base-title'>{{ $t('title')}}
    </h2>
    <div class='app-for-you__list'>
      <div class='app-for-you__item'>
        <img src='../../assets/img/app-for-you/1.svg' alt='1' width='87' height='87'>
        <p>{{ $t('allCrypto')[0]}}<br />{{ $t('allCrypto')[1]}}</p>
      </div>
      <div class='app-for-you__item app-for-you__item-resize'>
        <img src='../../assets/img/app-for-you/2.svg' alt='2' width='87' height='87'>
        <p>{{ $t('Ability')[0]}}</p>
      </div>
      <div class='app-for-you__item'>
        <img src='../../assets/img/app-for-you/3.svg' alt='3' width='87' height='87'>
        <p>{{ $t('Security')[0]}}<br/>{{ $t('Security')[1]}}</p>
      </div>
    </div>
    <div class='app-for-you__list-1'>
      <div class='app-for-you__item'>
        <img src='../../assets/img/app-for-you/4.svg' alt='4' width='87' height='87'>
        <p>{{ $t('LowFees')[0]}}<br />{{ $t('LowFees')[1]}}</p>
      </div>
      <div class='app-for-you__item'>
        <img src='../../assets/img/app-for-you/5.svg' alt='5' width='87' height='87'>
        <p>{{ $t('Effective')[0]}}<br />{{ $t('Effective')[1]}}</p>
      </div>
    </div>
  </div>
</template>

<i18n>
{
  "en": {
    "title": "Manage your cryptos with TBCC App to get",
    "allCrypto": ["All crypto tools in", "one place"],
    "Ability": ["Ability to spend cryptocurrency in stores and businesses"],
    "Security": ["Security for your", "assets against hackers&scammers"],
    "LowFees": ["Low fees & Fast", "transactions"],
    "Effective": ["Effective investment", "strategies"]
  },
  "ch": {
    "title": "使用TBCC应用程序管理您的加密货币以获得",
    "allCrypto": ["所有加密工具一处"],
    "Ability": ["能够在商店和企业中消费加密货币"],
    "Security": ["为您的安全提供保障", "对抗黑客和诈骗者的资产"],
    "LowFees": ["费用低，速度快交易"],
    "Effective": ["有效的投资策略"]
  },
  "tur": {
    "title": "Manage your cryptos with TBCC App to get",
    "allCrypto": ["All crypto tools in", "one place"],
    "Ability": ["Ability to spend cryptocurrency in stores and businesses"],
    "Security": ["Security for your", "assets against hackers&scammers"],
    "LowFees": ["Low fees & Fast", "transactions"],
    "Effective": ["Effective investment", "strategies"]
  }
}
</i18n>


<style lang='scss' scoped>
.base-title {
  margin: 0 0 60px;
  font-size: 36px;

  @media (max-width: 767px) {
    max-width: 320px;
    text-align: center;
    margin: 0 0 35px;
  }

  @media (min-width: 1024px) {
    font-size: 45px;
  }

  @media (min-width: 1200px) {
    font-size: 48px;
  }
}

.app-for-you {
  display: flex;
  align-items: center;
  flex-direction: column;

  &__list {
    width: 100%;
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding-bottom: 65px;
  }

  &__list-1 {
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;

    .app-for-you__item {

      @media (min-width: 768px){
        margin: 0 53px;
      }

      @media (min-width: 1024px){
        margin: 0 84px;
      }
    }
  }

  &__list,
  &__list-1 {
    @media (max-width: 767px) {
      flex-direction: column;
      justify-content: flex-start;
      align-items: center;
      padding: 0;
    }
  }

  &__item {
    display: flex;
    align-items: center;
    flex-direction: column;

    @media (max-width: 767px) {
      flex-direction: row;
      margin-bottom: 20px;
    }

    img {
      object-fit: none;
      margin-bottom: 12px;

      @media (max-width: 767px) {
        margin-bottom: 0;
        margin-right: 20px;
        width: 64px;
        height: 64px;
        object-fit: contain;
      }
    }

    p {
      margin: 0;
      font-size: 20px;
      line-height: 25px;
      text-align: center;
      color: #FFFFFF;
      width: 242px;

      @media (max-width: 767px) {
        text-align: unset;
        font-size: 18px;
        line-height: 22px;
      }
    }
  }

  &__item-resize {
    @media (max-width: 767px) {
      img {
        width: 50px;
        margin-right: 28px;
        margin-left: 6px;
      }
    }
  }
}
</style>
